S3 Get Bucket ACL
  • 11 Mar 2025
  • Dark
    Light

S3 Get Bucket ACL

  • Dark
    Light

Article summary

GET https://s3.<your-region>.backblazeb2.com/<your-bucket-name>/?acl

Retrieves the bucket's ACL in XML format.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

acl

Must be present to retrieve bucket ACL

PATH VARIABLES

bucket

Required. The name of the bucket

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/metadaddy-public/?acl=null'

Example Response

200 NO CONTENT

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<AccessControlPolicy xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <Owner>
        <ID>15f935cf4dcb</ID>
        <DisplayName></DisplayName>
    </Owner>
    <AccessControlList>
        <Grant>
            <Grantee xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="CanonicalUser">
                <ID>15f935cf4dcb</ID>
                <DisplayName></DisplayName>
            </Grantee>
            <Permission>FULL_CONTROL</Permission>
        </Grant>
        <Grant>
            <Grantee xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="Group">
                <URI>http://acs.amazonaws.com/groups/global/AllUsers</URI>
            </Grantee>
            <Permission>READ</Permission>
        </Grant>
    </AccessControlList>
</AccessControlPolicy>

Headers (9)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

844

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive


Was this article helpful?